import { useEffect } from 'react';
import { useDispatch } from 'react-redux';
import { setPageTitle } from '../../store/themeConfigSlice';
import { useTranslation } from 'react-i18next';
import { Breadcrumb } from '../../components/Breadcrumb';
import { ProductSizesList } from '../../features/productSizes/components/ProductSizesList';

const ProductSizes = () => {
    const dispatch = useDispatch();
    useEffect(() => {
        dispatch(setPageTitle('Product Sizes'));
    });

    const { t } = useTranslation();

    const breadcrumbItems = [{ label: 'Dashboard', href: '/' }, { label: 'Product Sizes' }];

    return (
        <>
            <Breadcrumb items={breadcrumbItems} />
            <h5 className="mt-5 mb-5 font-bold text-2xl">{t('product_sizes')}</h5>
            <ProductSizesList />
        </>
    );
};

export default ProductSizes;
